Bug 578459 - [abrt] crash in gedit-1:2.28.3-1.fc12: WindowHelper.py:149:accelerator_activated:AttributeError: 'NoneType' object has no attribute 'accelerator_activate'
[abrt] crash in gedit-1:2.28.3-1.fc12: WindowHelper.py:149:accelerator_activa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:9f116176
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-31 07:35 EDT by Merlin
Modified: 2010-12-03 11:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:32:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (881 bytes, text/plain)
2010-03-31 07:36 EDT, Merlin
no flags Details

  None (edit)
Description Merlin 2010-03-31 07:35:58 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: gedit
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.9-70.fc12.i686.PAE
package: gedit-1:2.28.3-1.fc12
reason: WindowHelper.py:149:accelerator_activated:AttributeError: 'NoneType' object has no attribute 'accelerator_activate'
release: Fedora release 12 (Constantine)

backtrace
-----
WindowHelper.py:149:accelerator_activated:AttributeError: 'NoneType' object has no attribute 'accelerator_activate'

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/snippets/Library.py", line 664, in accelerator_activated
    self._accelerator_activated_cb(group, obj, keyval, mod)
  File "/usr/lib/gedit-2/plugins/snippets/__init__.py", line 93, in accelerator_activated
    obj._snippets_plugin_data.accelerator_activated(keyval, mod)
  File "/usr/lib/gedit-2/plugins/snippets/WindowHelper.py", line 149, in accelerator_activated
    return self.current_controller.accelerator_activate(keyval, mod)
AttributeError: 'NoneType' object has no attribute 'accelerator_activate'

Local variables in innermost frame:
self: <snippets.WindowHelper.WindowHelper instance at 0x9ddbd8c>
keyval: 116L
mod: <flags GDK_SHIFT_MASK | GDK_CONTROL_MASK of type GdkModifierType>

How to reproduce
-----
1. Happened a view times
2. Not at all catastrophic, (didn't even notice anything going wrong till the bugzilla started)
3. Make general use of snippets in Gedit to see if it happens again
Comment 1 Merlin 2010-03-31 07:36:00 EDT
Created attachment 403716 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 14:12:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 11:32:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.